import { createServer } from './server';
import { addRoutes } from './routes';

const server = createServer();
addRoutes(server);

server.listen(process.env.PORT ?? 8080, '0.0.0.0', (err) => {
  if (err) {
    server.log.error(err.message);
    process.exit(1);
  }
});
